<?xml version="1.0" encoding="UTF-8"?>
<!-- rc9419b.xslt, u2 20 oktober 2023 -->
<xsl:stylesheet version="1.0"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
xmlns:gds802="http://ei.vektis.nl/declaratiebericht574">

	<!-- retourcode 9419: VC130: Indien PrestatieCodelijstCode <> 071 (= Prestatiecodelijst geestelijke gezondheidszorg en forensische zorg volgens ZPM) en <> 999 (= ((Onderdeel van een) prestatie waarvoor geen code bestaat), dan mag Plaatsingsbesluit niet voorkomen. -->
	<xsl:template name="rc9419b">
		<xsl:param name="PrestatieCodelijstCode"/>
		<xsl:param name="Plaatsingsbesluit"/>
		<xsl:param name="PlaatsingsbesluitNummer"/>
		
		<xsl:if test="not($PrestatieCodelijstCode='071') and not($PrestatieCodelijstCode='999') and ($Plaatsingsbesluit)">
			<gds802:Feedback>
				<gds802:Retourcode>9419</gds802:Retourcode>
				<!-- som de elementen op die de fout veroorzaken -->
				<gds802:BetrokkenElement>
					<gds802:Elementnaam><xsl:value-of select="local-name($PrestatieCodelijstCode)"/></gds802:Elementnaam>
					<gds802:Elementwaarde><xsl:value-of select="$PrestatieCodelijstCode"/></gds802:Elementwaarde>
				</gds802:BetrokkenElement>
				<gds802:BetrokkenElement>
					<gds802:Elementnaam><xsl:value-of select="local-name($PlaatsingsbesluitNummer)"/></gds802:Elementnaam>
					<gds802:Elementwaarde><xsl:value-of select="$PlaatsingsbesluitNummer"/></gds802:Elementwaarde>
				</gds802:BetrokkenElement>				
			</gds802:Feedback>
		</xsl:if>
	</xsl:template>
</xsl:stylesheet>
